.header-image {
  margin: 0 5%;
  max-width: 90%;
  border-radius: .25vw;
}

.main-page {
  max-width: 50%;
  margin: 0 auto;
  border-top: 1vw solid #f14d94;
  border-bottom: 1vw solid #f14d94;
}

.header {
  border-radius: 0.5vw;
  background-color: white;
  z-index: 10;
  padding: 2.5% 25% 2.5% 25%;
}

.sunwaterfun {
  padding-top: 2.5%;
  background-color: white;
  border-radius: .25vw;
  z-index: 10;
  font-size: 48px;
  margin-top: -2.5%;
}

.sun {
  color: #ffa500;
  font-weight: 600;
}

.water {
  color: #24ade7;
  font-weight: 700;
}

.fun {
  color: #f14d94;
  font-weight: 800;
}

.header-subtitle {
  text-align: center;
  max-width: 50%;
  margin: 0 auto;
}

.button-link {
  padding: 2.5%;
  background-color: #f14d94;
  border-radius: 0.5vw;
  color: white;
  font-weight: bold;
  text-align: center;
}

.solar-pool-heating-image {
  width: 100%;
  border-radius: 0.5vw;
}

.middle-section {
  padding: 5% 15%;
  margin-bottom: -5%;
  margin-top: -25%;
  background-color: white;
  border-radius: 0.5vw;
  z-index: 10;
}

.circle-image {
  max-width: 70%;
  margin: 0 15%;
  background-color: white;
  padding: 5% 5% 0% 5%;
  border-radius: 100%;
}

.gallery-frame {
  border-top: 1vw solid #f14d94;
  border-bottom: 1vw solid #f14d94;
}

.bottom-section {
  padding: 5% 10%;
  background-color: white;
  border-radius: 0.5vw;
}

/* MIN  */

@media only screen and (min-width: 3200px) {
  .main-page {
    max-width: 25%;
  }
}

@media only screen and (min-width: 2500px) {
  .main-page {
    max-width: 33%;
  }
}

@media only screen and (min-width: 1600px) {
  .section-grid {
    display: grid;
    grid-template-areas: "auto auto";
  }

  .grid-column {
    width: 100%;
  }
}

/* MAX */

@media only screen and (max-width: 800px) {
  .preloader-content {
    font-size: 5vw;
  }

  .main-page {
    max-width: 90%;
    border-top: 5vw solid #f14d94;
    border-bottom: 5vw solid #f14d94;
  }

  .header {
    padding: 2.5%;
  }

  .sunwaterfun {
    font-size: 32px;
    margin-top: 2.5%;
  }

  .button-link {
    padding: 2.5%;
  }

  .gallery-frame {
    border-top: 5vw solid #f14d94;
    border-bottom: 5vw solid #f14d94;
  }
}

@media only screen and (max-width: 600px) {
  .main-page {
    max-width: 95%;
  }

  .header-image {
    margin: 0 5%;
    max-width: 90%;
  }

  .header-subtitle {
    max-width: 100%;
  }

  .bottom-section {
    padding: 5%;
  }

  .preloader-content {
    font-size: 7.5vw;
  }
}

@media only screen and (max-width: 400px) {
  .main-page {
    max-width: 100%;
  }
}
